<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.controller' );

/**
 * NeoLegal Controller
 * @package		Joomla
 * @subpackage	NeoLegal 
 */
class NeoLegalController extends JController {
	
	
	function __construct( $config = array() ) {
		
		parent::__construct( $config );
		
		// Register Extra tasks
		$this->registerTask( 'add',  'display' );
		$this->registerTask( 'edit', 'display' );
	}
	

	function display( ) {
		
		switch( $this->getTask() ) {
			
			case 'add' :			
				JRequest::setVar( 'hidemainmenu', 1 );
				JRequest::setVar( 'layout', 'form'  );
				JRequest::setVar( 'view'  , 'legals');
				JRequest::setVar( 'edit', false );
				
				// Checkout the weblink
				$model = $this->getModel('legals');
			break;
			
			default:
			case 'edit' :
				JRequest::setVar( 'hidemainmenu', 1 );
				JRequest::setVar( 'layout', 'form'  );
				JRequest::setVar( 'view'  , 'legals');
				JRequest::setVar( 'edit', true );
				
				// Checkout the weblink
				$model = $this->getModel('legals');				
			break;
		}
		
		parent::display();
	}
	

	function apply() {
		
		$this->save( 'index.php?option=com_neolegal' );
	}
	
	
	function save( $link='index.php' ) {
		
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$post	= JRequest::get('post');
		
		$model = $this->getModel( 'legals' );
		
		if ( $model->store( $post ) ) {
			$msg = JText::_( 'Legals saved successfully' );
		} else {
			$msg = JText::_( 'Error saving legals' );
		}

		// Check the table in so it can be edited.... we are done with it anyway
		//$model->checkin();
		
		$this->setRedirect( $link, $msg );
	}
	

	function cancel() {
		
		// Check for request forgeries
		JRequest::checkToken() or jexit( 'Invalid Token' );
		
		$this->setRedirect( 'index.php', JText::_( 'Modifications cancelled' ) );
	}
}