<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport('joomla.application.component.model');

/**
 * NeoLegal Component Legals Model
 *
 * @package		Joomla
 * @subpackage	NeoLegal
 * @since 1.5
 */
class NeoLegalModelLegals extends JModel
{
	var $_id = null;
	var $_data = null;

	/**
	 * Constructor
	 * @since 1.5
	 */
	function __construct() {
		
		parent::__construct();
		
		$array = JRequest::getVar('cid', array(0), '', 'array');
		$edit	= JRequest::getVar('edit',true);
		
		if ( $edit )
			$this->setId((int)$array[0]);
	}

	
	function setId($id)
	{
		// Set weblink id and wipe data
		$this->_id		= $id;
		$this->_data	= null;
	}

	
	function &getData()
	{
		$this->_loadData();
		
		return $this->_data;
	}

	
	function store( $data )
	{
		$row =& $this->getTable();
		
		// Bind the form fields to the legals table
		if ( !$row->bind( $data ) ) {
			$this->setError( $this->_db->getErrorMsg() );
			return false;
		}
		
		// Use terms
		$row->use_terms = JRequest::getVar( 'use_terms', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row->use_terms = str_replace( '<br>', '<br />', $row->use_terms );
		
		// Policy
		$row->policy = JRequest::getVar( 'policy', '', 'post', 'string', JREQUEST_ALLOWRAW );
		$row->policy = str_replace( '<br>', '<br />', $row->policy );

		// Make sure the legals table is valid
		if ( !$row->check() ) {
			$this->setError($this->_db->getErrorMsg());
			return false;
		}
		
		// Store the legals table to the database
		if ( !$row->store() ) {
			$this->setError( $this->_db->getErrorMsg() );
			return false;
		}
		
		return true;
	}


	function _loadData() {
		
		// Lets load the content if it doesn't already exist
		if ( empty( $this->_data ) ) {
			$query = 'SELECT * FROM #__neolegal WHERE id = 1';
			$this->_db->setQuery( $query );
			$this->_data = $this->_db->loadObject();
			return (boolean) $this->_data;
		}
		return true;
	}
}