<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
* NeoLegal Table class
*
* @package		Joomla
* @subpackage	NeoLegal
* @since 1.0
*/
class TableLegals extends JTable
{	
	var $id = null;
	var $company_status = null;
	var $company_name = null;
	var $company_director = null;
	var $company_address = null;
	var $company_address_complement = null;
	var $company_postbox = null;
	var $company_postcode = null;
	var $company_town = null;
	var $company_state = null;
	var $company_country = null;
	var $company_phone = null;
	var $company_fax = null;
	var $company_mobile = null;
	var $company_email = null;
	var $company_url = null;
	var $company_siren = null;
	var $company_siret = null;
	var $company_ape = null;
	var $company_tva = null;
	var $company_capital = null;
	var $company_cnil = null;
	var $bank_name = null;
	var $bank_code = null;
	var $bank_account = null;
	var $bank_iban = null;
	var $bank_swift = null;
	var $editor_name = null;
	var $editor_address = null;
	var $editor_address_complement = null;
	var $editor_postbox = null;
	var $editor_postcode = null;
	var $editor_city = null;
	var $editor_country = null;
	var $editor_email = null;
	var $editor_phone = null;
	var $editor_fax = null;
	var $editor_url = null;
	var $host_name = null;
	var $host_address = null;
	var $host_address_complement = null;
	var $host_postbox = null;
	var $host_postcode = null;
	var $host_city = null;
	var $host_country = null;
	var $host_email = null;
	var $host_phone = null;
	var $host_fax = null;
	var $host_url = null;	
	var $legals_title = null;	
	var $legals_display_title = null;	
	var $legals_alias = null;	
	var $legals_meta_title = null;	
	var $legals_meta_description = null;	
	var $legals_meta_keywords = null;
	var $use_terms = null;
	var $use_terms_title = null;
	var $use_terms_display_title = null;
	var $use_terms_alias = null;
	var $use_terms_meta_title = null;
	var $use_terms_meta_description = null;
	var $use_terms_meta_keywords = null;
	var $policy = null;
	var $policy_title = null;
	var $policy_display_title = null;
	var $policy_alias = null;
	var $policy_meta_title = null;
	var $policy_meta_description = null;
	var $policy_meta_keywords = null;

	
	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 * @since 1.0
	 */
	function __construct(& $db) {
		parent::__construct( '#__neolegal', 'id', $db );
	}
	
	
	/**
	 * Overloaded check method to ensure data integrity
	 *
	 * @access public
	 * @return boolean True on success
	 * @since 1.0
	 */
	function check() {
		
		if ( JFilterInput::checkAttribute( array( 'href', $this->company_url ) ) ) {
			$this->setError( JText::_( 'Please provide a valid URL for the company' ) );
			return false;
		}
		
		if ( JFilterInput::checkAttribute( array( 'href', $this->editor_url ) ) ) {
			$this->setError( JText::_( 'Please provide a valid URL for the editor' ) );
			return false;
		}
		
		if ( JFilterInput::checkAttribute( array( 'href', $this->host_url ) ) ) {
			$this->setError( JText::_( 'Please provide a valid URL for the host' ) );
			return false;
		}
		
		//Remove all HTML tags from the title and description
		$filter = new JFilterInput( array(), array(), 0, 0 );
		$this->company_name = $filter->clean( $this->company_name );
		
		if ( $this->company_url ) {
			if ( !( eregi( 'http://', $this->company_url ) || ( eregi( 'https://', $this->company_url ) ) || ( eregi( 'ftp://', $this->company_url ) ) ) ) {
				$this->company_url = 'http://'.$this->company_url;
			}
		}
		
		if ( $this->editor_url ) {
			if ( !( eregi( 'http://', $this->editor_url ) || ( eregi( 'https://', $this->editor_url ) ) || ( eregi( 'ftp://', $this->editor_url ) ) ) ) {
				$this->editor_url = 'http://'.$this->editor_url;
			}
		}
		
		if ( $this->host_url ) {
			if ( !( eregi( 'http://', $this->host_url ) || ( eregi( 'https://', $this->host_url ) ) || ( eregi( 'ftp://', $this->host_url ) ) ) ) {
				$this->host_url = 'http://'.$this->host_url;
			}
		}
		
		return true;
	}
}
