<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die( 'Restricted access' );

jimport( 'joomla.application.component.view');

/**
 * HTML View class for the NeoLegal component
 *
 * @static
 * @package		Joomla
 * @subpackage	NeoLegal
 * @since 1.0
 */
class NeoLegalViewLegals extends JView {
	
	
	function display( $tpl = null ) {
		
		$this->_displayForm($tpl);
		
		return;
	}
	

	function _displayForm( $tpl ) {
		
		global $mainframe, $option;
		
		jimport('joomla.html.pane');
		
		$db		=& JFactory::getDBO();
		$uri 	=& JFactory::getURI();
		$user 	=& JFactory::getUser();
		$model	=& $this->getModel();
		
		//get the legals
		$legals	=& $this->get('data');
		
		//clean legals data
		JFilterOutput::objectHTMLSafe( $legals, ENT_QUOTES, array( 'use_terms', 'policy' ) );
		
		
		$yesNoOptions = array();	
		$yesNoOptions[] = JHTML::_( 'select.option', 0, JText::_( 'No' ) );
		$yesNoOptions[] = JHTML::_( 'select.option', 1, JText::_( 'Yes' ) );
		
		$lists = array();
		
		$lists['legals_display_title'] = JHTML::_( 'select.radiolist', $yesNoOptions, 'legals_display_title', 'class="inputbox"', 'value', 'text', $legals->legals_display_title );
		$lists['use_terms_display_title'] = JHTML::_( 'select.radiolist', $yesNoOptions, 'use_terms_display_title', 'class="inputbox"', 'value', 'text', $legals->use_terms_display_title );
		$lists['policy_display_title'] = JHTML::_( 'select.radiolist', $yesNoOptions, 'policy_display_title', 'class="inputbox"', 'value', 'text', $legals->policy_display_title );
		
		$this->assignRef( 'lists',	$lists );
		$this->assignRef( 'legals',	$legals );
		
		parent::display( $tpl );
	}
}
?>