<?php
/**
* @package		Joomla
* @subpackage	NeoLegal
* @version		1.5.2
* @date			February 2010
* @author		NeoJoomla
* @copyright 	Copyright (C) 2005 - 2010 Neoweb. All rights reserved
* @license		GNU/GPL, see LICENSE.txt
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

// Component Helper
jimport('joomla.application.component.helper');

/**
 * NeoLegal Component Route Helper
 *
 * @static
 * @package		Joomla
 * @subpackage	NeoLegal
 * @since 1.5
 */
class NeoLegalHelperRoute {
	
	/**
	* Build the route to the Use Terms page
	*/
	function getUseTermsRoute( $Itemid ) {
		
		$needles = array( 'view'  => 'use' );
		
		// Create the link
		$link = 'index.php?option=com_neolegal&view=use';
		
		// Add Itemid
		if ( $item = NeoLegalHelperRoute::_findItem( $needles ) ) {
			$link .= '&Itemid='.$item->id;
		} else {
			$link .= '&Itemid='.$Itemid;
		}
		
		return $link;
	}
	

	function getPolicyRoute( $Itemid ) {
		
		$needles = array( 'view' => 'policy' );
		
		// Create the link
		$link = 'index.php?option=com_neolegal&view=policy';
		
		// Add Itemid
		if ( $item = NeoLegalHelperRoute::_findItem( $needles ) ) {
			$link .= '&Itemid='.$item->id;
		} else {
			$link .= '&Itemid='.$Itemid;
		}
		
		return $link;
	}
	

	function getLegalsRoute( $Itemid ) {
		
		$needles = array(
			'view' => 'legals'
		);
		
		// Create the link
		$link = 'index.php?option=com_neolegal&view=legals';
		
		// Add Itemid
		if ( $item = NeoLegalHelperRoute::_findItem( $needles ) ) {
			$link .= '&Itemid='.$item->id;
		} else {
			$link .= '&Itemid='.$Itemid;
		}
		
		return $link;
	}

	function _findItem( $needles ) {
		
		$component =& JComponentHelper::getComponent( 'com_neolegal' );
		
		$menus	= &JApplication::getMenu( 'site', array() );
		$items	= $menus->getItems( 'componentid', $component->id );
		
		$match = null;
		
		foreach ( $needles as $needle => $value ) {
			
			foreach ( $items as $item ) {
				
				if ( @$item->query[$needle] == $value ) {
					$match = $item;
					break;
				}
			}
			
			if(isset($match)) {
				break;
			}
		}
		
		return $match;
	}
}
?>
